Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.headrules
Class HeadRules

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,HeadRule>
              org.maltparser.core.syntaxgraph.headrules.HeadRules

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,HeadRule>

    public class HeadRules

extends HashMap<String,HeadRule>

Author:
  Johan Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`protected DataFormatInstance` | `dataFormatInstance`
`protected SymbolTable` | `edgelabelSymbolTable`
`protected org.apache.log4j.Logger` | `logger`
`protected String` | `name`
`protected SymbolTable` | `nonTerminalSymbolTable`
`static long` | `serialVersionUID`

Constructor Summary
`HeadRules(org.apache.log4j.Logger logger, DataFormatInstance dataFormatInstance)`

Method Summary
`DataFormatInstance` | `getDataFormatInstance()`
`Direction` | `getDefaultDirection(NonTerminalNode nt)`
`PhraseStructureNode` | `getHeadChild(NonTerminalNode nt)`
`org.apache.log4j.Logger` | `getLogger()`
`void` | `parseHeadRules(String fileName)`
`void` | `parseHeadRules(URL url)`
`void` | `setDataFormatInstance(DataFormatInstance dataFormatInstance)`
`void` | `setLogger(org.apache.log4j.Logger logger)`
`String` | `toString()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### logger

    protected org.apache.log4j.Logger logger

### name

    protected String name

### dataFormatInstance

    protected DataFormatInstance dataFormatInstance

### nonTerminalSymbolTable

    protected SymbolTable nonTerminalSymbolTable

### edgelabelSymbolTable

    protected SymbolTable edgelabelSymbolTable

Constructor Detail

### HeadRules

    public HeadRules(org.apache.log4j.Logger logger,
                     DataFormatInstance dataFormatInstance)
              throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### parseHeadRules

    public void parseHeadRules(String fileName)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### parseHeadRules

    public void parseHeadRules(URL url)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    public PhraseStructureNode getHeadChild(NonTerminalNode nt)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDefaultDirection

    public Direction getDefaultDirection(NonTerminalNode nt)
                                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLogger

    public org.apache.log4j.Logger getLogger()

### setLogger

    public void setLogger(org.apache.log4j.Logger logger)

### getDataFormatInstance

    public DataFormatInstance getDataFormatInstance()

### setDataFormatInstance

    public void setDataFormatInstance(DataFormatInstance dataFormatInstance)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMap<String,HeadRule>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.